package com.iamberry.wechat.core.entity.drp;

import java.util.Date;

import org.apache.commons.lang3.time.DateFormatUtils;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;


/**
 * @decription 用于当前端单条记录的返回容器
 * @author 欧阳明
 * @date 2016-4-19
 */
public class ObjRecord implements java.io.Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 6385577251096107853L;
	private int amount;             //金额
	private String orderNo;         //订单号
	private String strDate;         //日期
	private String name;           //项目及名称
	private String img ;           //图片
	private Date createDate;
	private String roleName;  //角色名
	
	public int getAmount() {
		return amount;
	}
	public void setAmount(int amount) {
		this.amount = amount;
	}
	public String getOrderNo() {
		return orderNo;
	}
	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}
	
	public String getStrDate() {
		return strDate;
	}
	public void setStrDate(String strDate) {
		this.strDate = strDate;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	
	/**
	 * 格式日期为指定的格式
	 * @param date 日期
	 * @param pattern 格式化样式 如 yyyy-MM-dd HH:mm:ss
	 */
	public void initStrDate(Date date, String pattern){
		strDate=DateFormatUtils.format(date, pattern);
	}
	
	/**
	 * 格式日期为指定的格式  ,默认格式为 MM.dd
	 * @param date 日期
	 */
	public void initStrDateMMdd(Date date){
		strDate=DateFormatUtils.format(date, "MM.dd");
	}
	
	/**
	 * 格式日期为指定的格式  ,默认格式为 MM.dd
	 * @param date 日期
	 */
	public void initStrDate(Date date){
		strDate=DateFormatUtils.format(date, "yyyy-MM-dd");
	}
	public String getImg() {
		return img;
	}
	public void setImg(String img) {
		this.img = img;
	}
//	@JsonSerialize(using = JsonDateFormat.class) 
	public Date getCreateDate() {
		return createDate;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	public String getRoleName() {
		return roleName;
	}
	public void setRoleName(String roleName) {
		this.roleName = roleName;
	}
	
	
}
